Rated 5 out of 5 stars

I absolutely love this addon. I cannot live with out it.
(Considering that I am an Emacs user, that says a lot.)
Please update for FF5. I'm keeping FF4 until you do. :D

This review is for a previous version of the add-on (1.0b6). 

Nightlies have always been compatible. The current minor release which is compatible with Firefox 5 has been approved by AMO, but due to a server bug isn't showing on the front page yet: https://addons.mozilla.org/en-US/firefox/addon/pentadactyl/versions/1.0b6.1